#!/usr/bin/env python

"""
Convert simple data files from GBA little-endian format to P2K big-endian format.
"""

import sys

def hexdump(filename, base):
	with open(filename, 'rb') as file_in:
		while (buff := file_in.read(base)):
			print(buff.hex().upper(), end='')
		print()

if __name__ == '__main__':
	if len(sys.argv) == 2:
		hexdump(sys.argv[1], 1)
	else:
		print('Usage:\n\t./hexdump.py [file]')
		print('Example:\n\t./hexdump.py dumb.bin')
